Subject: CygWin 1.3.2 install problems
From: Gary Thomas <[email-masked]>
To: [email-masked]
Date: Tue, 12 Jun 2001 08:53:26 -0600 (MDT)

I'm trying to install CygWin 1.3.2 (latest) and have some trouble.
I downloaded the packages, using the CygWin setup, and saved them
locally.  When I run the actual install, the binaries don't end up
where I told it.

In particular, the packages are at e:\cygwin_install and I want 
to install the whole thing to e:\CygWin

Notice that many of the files end up in a completely different
directory.  E.g. installing 'bash', this is the setup.log.full:
  Installing latest/bash/bash-2.05-6.tar.gz
  Installing file c:/cygnus/cygwin-b20/H-i586-cygwin32/bin/bash.exe
  Installing file c:/cygnus/cygwin-b20/H-i586-cygwin32/bin/bashbug
  Installing file E:/CygWin/usr/doc/bash-2.05/bash.html
  Installing file E:/CygWin/usr/doc/bash-2.05/bashref.html
  Installing file E:/CygWin/usr/doc/bash-2.05/COMPAT
  Installing file E:/CygWin/usr/doc/bash-2.05/COPYING
  Installing file E:/CygWin/usr/doc/bash-2.05/FAQ
  Installing file E:/CygWin/usr/doc/bash-2.05/INTRO
  Installing file E:/CygWin/usr/doc/bash-2.05/NEWS
  Installing file E:/CygWin/usr/info/bash.info
  Installing file E:/CygWin/usr/man/man1/bash.1
  Installing file E:/CygWin/usr/man/man1/bashbug.1

I see no reason that the binary files should end up on c:/...
Looking at the raw tar file, I get:
  $ gzip -d <bash-2.05-6.tar.gz | tar -tvf -
  -rwxr-xr-x corinna/root 473600 2001-05-08 10:24:31 bin/bash.exe
  -rwxr-xr-x corinna/root   5261 2001-05-08 10:23:58 bin/bashbug
  -rw-r--r-- corinna/root 243837 2001-03-19 08:14:31 usr/doc/bash-2.05/bash.html
  -rw-r--r-- corinna/root 385523 2001-03-28 13:13:43 usr/doc/bash-2.05/bashref.html
  -rw-r--r-- corinna/root   7732 2001-04-19 11:14:26 usr/doc/bash-2.05/COMPAT
  -rw-r--r-- corinna/root  18454 2001-04-19 11:14:26 usr/doc/bash-2.05/COPYING
  -rw-r--r-- corinna/root  61241 2001-04-19 11:15:01 usr/doc/bash-2.05/FAQ
  -rw-r--r-- corinna/root   7072 2001-04-19 11:15:01 usr/doc/bash-2.05/INTRO
  -rw-r--r-- corinna/root  27388 2001-04-19 11:14:26 usr/doc/bash-2.05/NEWS
  -rw-r--r-- corinna/root 330778 2001-04-23 08:51:01 usr/info/bash.info
  -rw-r--r-- corinna/root 218960 2001-04-23 08:51:01 usr/man/man1/bash.1
  -rw-r--r-- corinna/root   1343 2001-04-23 08:51:01 usr/man/man1/bashbug.1

Could this be a problem with an old CygWin install?  I have had it on this
box before, but it has long since been removed.

Any help much appreciated.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple